System.Core 4.0.0.0 System.Object

This class is designed to be inherited to create more specialized classes whose functionality requires traversing, examining or copying an expression tree.

Represents a visitor or rewriter for expression trees.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of .

- Method
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Linq.Expressions.Expression> `` To be added.

  Dispatches the list of expressions to one of the more specialized visit methods in this class.

  The modified expression list, if any one of the elements were modified; otherwise, returns the original expression list.

  The expressions to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Dispatches the expression to one of the more specialized visit methods in this class.

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<T> `` `` To be added.

  Visits all nodes in the collection using a specified element visitor.

  The modified node list, if any of the elements were modified; otherwise, returns the original node list.

  The nodes to visit. A delegate that visits a single element, optionally replacing it with a new element. The type of the nodes.
- Method
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<T> System.Linq.Expressions.Expression `` `` To be added.

  Visits an expression, casting the result back to the original expression type.

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit. The name of the calling method; used to report to report a better error message. The type of the expression.
- Method
  4.0.0.0
  T System.Linq.Expressions.Expression `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.CatchBlock `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.ElementInit `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression ``

  This can be overridden to visit or rewrite specific extension nodes.

  If it is not overridden, this method will call , which gives the node a chance to walk its children. By default, will try to reduce the node.

  Visits the children of the extension expression.

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.LabelTarget `` To be added.

  Visits the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit. The type of the delegate.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.MemberAssignment `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.MemberBinding `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.MemberListBinding `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.MemberMemberBinding `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.SwitchCase `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Visits the children of the .

  The modified expression, if it or any subexpression was modified; otherwise, returns the original expression.

  The expression to visit.